package org.gidea.scada.monitor.utils;

public enum RabbitExchangeEnum {
    MonitorCommandService("monitor.command.service", "MonitorCommandService"),
    MonitorCommandClient("monitor.command.client", "MonitorCommandClient"),
    MonitorCjdService("monitor.cjd.service", "MonitorCjdService"),
    MonitorCjdClient("monitor.cjd.client", "MonitorCjdClient"),
    MonitorDeviceData("monitor.device.data.", "MonitorDeviceData"),
    MonitorDeviceJh("monitor.device.jh.", "MonitorDeviceJh"),
    ;

    public final String exchangeName;
    public final String queueName;


    RabbitExchangeEnum(String exchangeName, String queueName) {
        this.exchangeName = exchangeName;
        this.queueName = queueName;
    }
}
