package org.gidea.scada.monitor.rabbit.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class MonitorMessage {
    /**
     * 采集端ID
     */
    private String bscode;
    /**
     * 下发命令号
     */
    private int cmd;
    /**
     * 数据
     */
    private JSONObject data;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
