package org.gidea.scada.monitor.rabbit.entity;

import lombok.Data;
import org.gidea.scada.monitor.utils.RabbitExchangeEnum;

@Data
public class ExchangeEntity {

    private final String monitorCommandService = RabbitExchangeEnum.MonitorCommandService.exchangeName;

    private final String monitorCommandClient = RabbitExchangeEnum.MonitorCommandClient.exchangeName;

    private final String monitorDeviceData;

    private final String monitorDeviceJh;

    public ExchangeEntity(String deviceId) {
        this.monitorDeviceData = RabbitExchangeEnum.MonitorDeviceData.exchangeName + deviceId;
        this.monitorDeviceJh = RabbitExchangeEnum.MonitorDeviceJh.exchangeName + deviceId;
    }
}
